//+------------------------------------------------------------------+
//|                                                    ZoneAlert.mq4 |
//|                                      Copyright 2017, nicholishen |
//|                         https://www.forexfactory.com/nicholishen |
//+------------------------------------------------------------------+
#property copyright "Copyright 2017, nicholishen"
#property link "https://www.forexfactory.com/nicholishen"
#property version "1.00"
#property strict
#property indicator_chart_window
#include "zonealerter.mqh"

input color ActiveColor = clrLightBlue;

ZoneAlerter za;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int OnInit()
{
   return za.OnInit(ActiveColor);
}

void OnDeinit(const int reason)
{
  EventKillTimer();
}

void OnTimer()
{
   za.OnTimer();
}
//+------------------------------------------------------------------+
//| ChartEvent function                                              |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam)
{
   //Print(EnumToString((ENUM_CHART_EVENT)id)," L=",lparam," D=",dparam," S=",sparam);
   za.OnChartEvent(id, sparam);
}
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
{
   za.OnTick();
   return (rates_total);
}

//+------------------------------------------------------------------+

